This article is also available in:
Is my phone compatible with Libon?

To be able to use your Libon minutes and enjoy all the features of Libon, your phone needs to have a minimal version of the operating system installed on it.

Press here if you use Libon on an iPhone.

If you use an Android phone, start by checking the operating system version installed on your phone: 

Press on Settings > About > Android version:



If the operating system version is 6.x or above

On the main screen, open the Play Store or the following link: Play Store
Press Update next to Libon



If the operating system version is 6.x or below

You must have version 6.x (Marshmallow) or above to use the application. All you need is to update your Android phone's OS:

Connect your phone to power
Press Settings > About > Software updates
Check if an update is available

*The path may differ according to the phone model

If you own an old phone model and are unable to update your Android OS, we invite you 😉 to use Libon on a different phone.

If you use Libon on an iPhone:

Check the iOS version installed on your phone: press Settings > General > About > Software version



If your iPhone's operating system version is 11.0 or above

From your iPhone, launch the App Store application and search for the application
Press Update next to Libon or install the application on your mobile phone

If your iPhone's operating system version is 11.0 or below

You need to have version 11.0 or above to use Libon, just update your phone:

Connect the phone to power
Press Settings > General > Software update
Check if an update is available

*The path may differ according to the phone model

If you own an old phone model and are unable to update your iOS version, we invite you 😉 to use Libon on a different phone.

Do you have any questions? Chat with us by pressing the icon on the right 🙂
Was this article helpful?
Cancel
Thank you!